package com.fjs.scenic.mapper.system;

import com.fjs.scenic.entity.system.RolePermission;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RolePermissionMapper {
    int insert(RolePermission record);

    int insertSelective(RolePermission record);

    List<RolePermission> selectByPermissionId(@Param("permissionId")int permissionId);

    int adds(List<RolePermission> rolePermissionList);

    List<RolePermission> selectByRoleId(Integer id);

    int delByRoleId(Integer roleId);
}